#ifndef __BLE_INIT_H
#define __BLE_INIT_H


typedef struct _ble_cb_t {
    ble_con_handle_t con_hanle;
} ble_cb_t;


extern ble_cb_t ble_cb;


void bsp_ble_init(void);
void ble_set_work_mode(BT_WORK_MODE mode);
BT_WORK_MODE ble_get_work_mode(void);
bool bsp_ble_bind_state(uint8_t index, sm_bonding_info_t* bind_info);

void ble_adv_param_init(bool adv_en);
void ble_dir_adv_param_init(bool adv_en);

#endif
